Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts
Class CustomFontCollection

    java.lang.Object
      org.apache.fop.fonts.CustomFontCollection

All Implemented Interfaces:
  FontCollection

    public class CustomFontCollection

extends java.lang.Object
implements FontCollection

Sets up a set of custom (embedded) fonts

Constructor Summary
`CustomFontCollection(InternalResourceResolver fontResolver, java.util.List<EmbedFontInfo> customFonts, boolean useComplexScriptFeatures)` Main constructor.

Method Summary
`int` | `setup(int num, FontInfo fontInfo)` Sets up fonts in a font info object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomFontCollection

    public CustomFontCollection(InternalResourceResolver fontResolver,
                                java.util.List<EmbedFontInfo> customFonts,
                                boolean useComplexScriptFeatures)

  Main constructor.

  Parameters:
    `fontResolver` - a font resolver
    `customFonts` - the list of custom fonts
    `useComplexScriptFeatures` - true if complex script features enabled

Method Detail

### setup

    public int setup(int num,
                     FontInfo fontInfo)

  Sets up fonts in a font info object. Adds metrics for basic fonts and useful family-style-weight triplets for lookup.

  Specified by:
    `setup` in interface `FontCollection`
  Parameters:
    `num` - the font starting number
    `fontInfo` - the font info to set up
  Returns:
    the starting font number for the next font to be added

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.